> ## Documentation Index
> Fetch the complete documentation index at: https://docs.edges.run/llms.txt
> Use this file to discover all available pages before exploring further.

# List Identities

> List all Identities



## OpenAPI

````yaml v1/api/business.json get /identities
openapi: 3.1.0
info:
  title: ED's Public API
  description: ED's Public API
  version: 26.622.88
servers:
  - url: https://api.edges.run/v1/
security:
  - APIKeyHeader: []
paths:
  /identities:
    get:
      tags:
        - Core
      summary: >-
        List all identities in the current workspace with optional filtering and
        pagination.
      description: List all Identities
      operationId: get_identities
      parameters:
        - name: query
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Search identities by their name.
            title: Query
          description: Search identities by their name.
          example: John
        - name: retrieve_accounts
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            description: >-
              Whether to include associated integrations for each identity.
              Note: Enabling this will increase response time.
            title: Retrieve Accounts
          description: >-
            Whether to include associated integrations for each identity. Note:
            Enabling this will increase response time.
          example: 'false'
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            description: The page number to retrieve (1-based indexing).
            default: 1
            title: Page
          description: The page number to retrieve (1-based indexing).
          example: '1'
      responses:
        '200':
          description: Successfully retrieved users.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericResponseListofIdentityPublic'
              example:
                - uid: 123e4567-e89b-12d3-a456-426614174000
                  workspace_uid: 5678e456-e89b-12d3-a456-426614174001
                  created_at: '2023-10-01T12:00:00Z'
                  name: John Doe
                  timezone: Europe/Paris
                  type: standard
                  is_active: 'true'
                  integrations:
                    - app1
                    - app2
                - uid: 123e4567-e89b-12d3-a456-426614174005
                  workspace_uid: 5678e456-e89b-12d3-a456-426614174001
                  created_at: '2023-10-01T12:05:00Z'
                  name: Jane Smith
                  type: engagement
                  timezone: America/New_York
                  is_active: 'false'
                  integrations: []
          headers:
            X-Pagination-Next-Url:
              description: >-
                URL for the next page of results. Only present if there are more
                pages.
              schema:
                type: string
            X-Pagination-Previous-Url:
              description: >-
                URL for the previous page of results. Only present if not on the
                first page.
              schema:
                type: string
        '400':
          description: Invalid request.
          content:
            application/json:
              example:
                message: This page does not contain any users.
                error_label: INVALID_PAGE_REQUESTED_400_BAD_REQUEST
        '404':
          description: Workspace doesn't exist.
          content:
            application/json:
              example:
                message: Workspace not found.
                error_label: WORKSPACE_404_NOT_FOUND
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    GenericResponseListofIdentityPublic:
      items:
        $ref: '#/components/schemas/IdentityPublicModel'
      type: array
      title: GenericResponseListofIdentityPublic
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    IdentityPublicModel:
      properties:
        uid:
          type: string
          format: uuid
          title: Uid
        workspace_uid:
          type: string
          format: uuid
          title: Workspace Uid
        created_at:
          type: string
          format: date-time
          title: Created At
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        timezone:
          type: string
          title: Timezone
        type:
          $ref: '#/components/schemas/IdentityType'
        is_active:
          type: boolean
          title: Is Active
          default: false
        integrations:
          items:
            type: string
          type: array
          title: Integrations
      type: object
      required:
        - workspace_uid
        - timezone
        - type
      title: IdentityPublic
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    IdentityType:
      type: string
      enum:
        - standard
        - engagement
      title: IdentityType
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
      description: >-
        API key required for authentication. Add your API key in the X-API-Key
        header.

````